# Plugin

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the plugin. Plugin names must be unique within an account. | [default to null]
**PluginId** | **string** | Plugin ID uniquely identifying this plugin. | [default to null]
**Description** | **string** | Description of this plugin. | [optional] [default to null]
**AcctId** | **string** | The account ID of the account that this plugin belongs to. | [default to null]
**Groups** | **[]string** | An array of security group IDs. The plugin belongs to each Security Group in this array. | [default to null]
**DefaultGroup** | **string** | The default group of this plugin. This is the group where security objects will be created by default by this plugin. | [default to null]
**Source** | [***PluginSource**](PluginSource.md) |  | [default to null]
**Enabled** | **bool** | Whether this plugin is enabled. | [default to null]
**PluginType** | [***PluginType**](PluginType.md) |  | [default to null]
**Creator** | [***CreatorType**](CreatorType.md) |  | [default to null]
**CreatedAt** | **string** | When this plugin was created. | [default to null]
**LastrunAt** | **string** | When this plugin was last run. | [default to null]
**LastupdatedAt** | **string** | When this plugin was last updated. | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


