# PluginRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the plugin. Plugin names must be unique within an account. | [default to null]
**Description** | **string** | Description of this plugin. | [optional] [default to null]
**AddGroups** | **[]string** | An array of Security Group IDs to add to this plugin. | [default to null]
**DelGroups** | **[]string** | An array of security group IDs to remove from this plugin. | [optional] [default to null]
**DefaultGroup** | **string** | The default group of this plugin. This is the group where security objects will be created by default by this plugin. | [default to null]
**Source** | [***PluginSource**](PluginSource.md) |  | [default to null]
**Enabled** | **bool** | Whether this plugin is enabled. | [optional] [default to null]
**PluginType** | [***PluginType**](PluginType.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


