# App

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the application. Application names must be unique within an account. | [default to null]
**AppId** | **string** | Application ID uniquely identifying this application. | [default to null]
**AuthType** | [***AppAuthType**](AppAuthType.md) |  | [default to null]
**Description** | **string** | Description of this application. | [optional] [default to null]
**Interface_** | **string** | Interface used with this application (PKCS11, CNG, JCE, KMIP, etc.). | [optional] [default to null]
**AcctId** | **string** | The account ID of the account that this application belongs to. | [default to null]
**Groups** | **[]string** | An array of Security Group IDs. The application belongs to each Security Group in this array. | [default to null]
**DefaultGroup** | **string** | The default group of this application. This is the group where security objects will be created by default by this application. | [default to null]
**Enabled** | **bool** | Whether this application is enabled. | [default to null]
**AppType** | **string** | The user-defined type of this application. | [default to null]
**Creator** | [***CreatorType**](CreatorType.md) |  | [default to null]
**CreatedAt** | **string** | When this application was created. | [default to null]
**LastusedAt** | **string** | When this application was last used. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


