# EncryptRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Alg** | [***ObjectType**](ObjectType.md) |  | [default to null]
**Plain** | **string** | The plaintext to encrypt. | [default to null]
**Mode** | [***CryptMode**](CryptMode.md) |  | [optional] [default to null]
**Iv** | **string** | For symmetric ciphers, this value will be used for the cipher initialization value. If not provided, SDKMS will generate a random iv and return it in the response. If provided, iv length must match the length required by the cipher and mode.  | [optional] [default to null]
**Ad** | **string** | For symmetric ciphers with cipher mode GCM or CCM, this optionally specifies the authenticated data used by the cipher. This field must not be provided with other cipher modes.  | [optional] [default to null]
**TagLen** | **int32** | For symmetric ciphers with cipher mode GCM or CCM, this field specifies the length of the authentication tag to be produced. This field is specified in bits (not bytes). This field is required for symmetric ciphers with cipher mode GCM or CCM. It must not be specified for asymmetric ciphers and symmetric ciphers with other cipher modes. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


