# User

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**UserId** | **string** | User ID uniquely identifying this user. | [default to null]
**UserEmail** | **string** | The User&#39;s email address. | [default to null]
**State** | [***UserState**](UserState.md) |  | [default to null]
**AccountRole** | [**[]UserAccountFlags**](UserAccountFlags.md) |  | [optional] [default to null]
**Groups** | [***UserAccountMap**](UserAccountMap.md) |  | [default to null]
**Enabled** | **bool** | Whether this user&#39;s account is enabled. | [default to null]
**EmailVerified** | **bool** | Whether this user&#39;s email has been verified. | [default to null]
**CreatedAt** | **string** | When this user was added to SDKMS. | [default to null]
**LastLoggedInAt** | **string** | When this user last logged in. | [optional] [default to null]
**U2fDevices** | [**[]U2fDevice**](U2fDevice.md) |  | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


